% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/gsea.R
\name{GeneSetTest}
\alias{GeneSetTest}
\title{Marginal gene testing}
\usage{
GeneSetTest(
  x,
  y,
  test,
  gsc,
  association = c("statistic", "pvalue"),
  correction = c("BH", "bonferroni", "holm", "hochberg", "hommel", "BY", "none"),
  GeneNullDistr = c("randomization", "asymptotic", "bootstrap"),
  GeneSetNullDistr = c("self-contained", "competitive"),
  alternative = c("two-sided", "less", "greater"),
  nmax = 100,
  id = c("ENTREZID", "ENSEMBL", "GO", "ORF"),
  minsize = 5,
  maxsize = 100,
  descriptive = c(mean, maxmean),
  foutput = "output",
  seed = 123,
  tstat.return = FALSE
)
}
\arguments{
\item{x}{Expression matrix (microarrays, RNA-seq,...)}

\item{y}{Two-level \code{factor} or its name}

\item{test}{The procedure used to test the differential
expression between the column groups of \code{x} defined by
\code{y}. Using this procedure the statitic or the p-value can be
used to quantify the gene-phenotype association.}

\item{gsc}{\code{List} with the gene set collection}

\item{association}{We can work with \code{statistic} or \code{pvalue}}

\item{correction}{Method to correct for multiple comparisons
used by stats::p.adjust.}

\item{GeneNullDistr}{Gene null distribution 
\code{asymptotic}, \code{randomization} or \code{bootstrap} distribution}

\item{GeneSetNullDistr}{Gene set null distribution \code{self-contained} 
or \code{competitive}}

\item{alternative}{The alternative hypothesis to be tested}

\item{nmax}{Maximum number of randomizations or bootstrap resamples}

\item{id}{Gene identifiers (or the name) used in \code{gsc} (gene set 
collection)}

\item{minsize}{Minimum size for the gene set}

\item{maxsize}{Maximum size for the gene set}

\item{descriptive}{Function given the enrichment statistic per gene set}

\item{foutput}{File for html report}

\item{seed}{The seed for random number generation}

\item{tstat.return}{Is \code{tstat} returned?}
}
\value{
A matrix with the randomization distribution. The first column
corresponds to the original groups to be compared.
}
\description{
The gene-phenotype association is quantified.
This value is evaluated for
each gene.
The randomization distribution of this gene-phenotype association is
obtained and the p-value corresponding to the observed values is returned.
}
