% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/sh.R
\name{StarSamtools_sh}
\alias{StarSamtools_sh}
\title{Generating sh file for STAR and Samtools}
\usage{
StarSamtools_sh(
  experiment,
  sraDir = paste0(experiment, "/sra/"),
  SRR_Acc_List = "SRR_Acc_List",
  genomeDir,
  fastqDir = "fastq/",
  alignedDir = "aligned/",
  paired = TRUE,
  steps = c(1, 1)
)
}
\arguments{
\item{experiment}{Name of experiment}

\item{sraDir}{Directory with sra files}

\item{SRR_Acc_List}{Accession numbers in NCBI SRA}

\item{genomeDir}{Directory where to find the genome fastq file}

\item{fastqDir}{Directory with the fastq files}

\item{alignedDir}{Directory where the aligned sam files are saved}

\item{paired}{Is the RNA-Seq experiment paired ended or not?}

\item{steps}{steps[1] = 1 if the alignment step has to be generated
and 0 otherwise. steps[2] = 1 if the sam to sorted bam has to be
generated 
and}
}
\description{
Generation of shell file to generate the indexed genome,
to align the samples and to convert the sam to bam files
}
