% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/Marginal_differential_expression.R
\name{dema}
\alias{dema}
\title{Differential expression for microarrays and RNA-seq data}
\usage{
dema(
  x,
  y,
  test,
  correction = c("BH", "bonferroni", "holm", "hochberg", "hommel", "BH", "BY", "none"),
  fdr = 0.01,
  foutput = "dema_output"
)
}
\arguments{
\item{x}{\code{ExpressionSet} or \code{RangedSummarizedExperiment}}

\item{y}{Name of a two-level factor}

\item{test}{Testing procedure for marginal differential expression.
It should return a \code{data.frame} with two columns named
\code{statistic} and \code{rawp}. Some possible \code{test}'s are
\link{rowt},\link{rowtmod},\link{edgercommon},\link{edgertagwise}}

\item{correction}{Type of correction for multiple testing 
used by  \code{stats::p.adjust}}

\item{fdr}{False discovery rate}

\item{foutput}{File for html report
(\code{stats::p.adjust})}
}
\description{
Differential expression for microarrays and RNA-seq data
}
