% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/RandomGeneExpression.R
\name{logbetalogit}
\alias{logbetalogit}
\title{Beta and logit transformation}
\usage{
logbetalogit(theta)
}
\arguments{
\item{theta}{List with parameters}
}
\description{
It generates random expression for `theta$n0` genes under two conditions,
`theta$n1` and `theta$n2` samples for the two conditions. 
Each gene has a lognormal distribution.
We are going to described the parameters of the normal values generated.
Each normal value generated have a different mean and standard deviation 
per sample and condition. 
The means for the first condition goes from `theta$m1` to `theta$m2` and the 
values are calculated as the quantiles of a transformed beta distribution, 
`theta$m1 + theta$m2* qbeta(seq(0,1,length.out = theta$n0),
shape1 = theta$alpha,shape2=theta$beta)`.
The standard deviations for the first condition are generated as 
`theta$sigma * rchisq(theta$n0,df=theta$df0)` i.e. proportional to a 
chisquare distribution. 
The means of the second conditions are obtained using a logit transformation
from the first previously calculated means for the first condition. 
The standard deviations are generated as for the first condition where
the factor is now `theta$sigmafac*theta$sigma`.
}
\keyword{Random}
\keyword{expression}
\keyword{gene}
