% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/RandomGeneExpression.R
\name{nic}
\alias{nic}
\title{Normal data using normal inverse chisquare}
\usage{
nic(theta)
}
\arguments{
\item{theta}{List with the parameters}
}
\description{
It generates an expression matrix with `theta$n0` rows (features)
for two conditions or sample groups of `theta$n1` and `theta$n2`.
The first sample group occupied the first `theta$n1` columns and the
second sample group occupied the last `theta$n2` columns.
For each feature in the first group the random expression follows a normal
distribution with mean and standard deviation generated as a normal
inverse chisquare. 
We chose randomly a `theta$p_up` proportion of up-regulated genes
and a `theta$p_down` proportion of down-regulated genes. The rest of genes
has no differential expression.
The up-regulated genes has a normal distribution where the mean are the 
original means for the first condition plus a normal value with mean 
`theta$mu_up` and standard deviation `theta$sigma_up`. 
The down-regulated genes has a normal distribution where the mean are the 
original
means for the first condition plus a normal value with mean `theta$mu_down`
and standard deviation `theta$sigma_down`.
}
