% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/gsea.R
\name{overRepresentation}
\alias{overRepresentation}
\title{Over-representation analysis}
\usage{
overRepresentation(
  x,
  minsize = 5,
  maxsize = 100,
  correction = "BH",
  GeneSetList = NULL,
  SigGeneSet = NULL,
  foutput = "GSAout",
  id = "ENTREZID"
)
}
\arguments{
\item{x}{\code{DifferentialExpressionOutput} (if NULL the significant gene
set is \code{SigGeneSet})}

\item{minsize}{Minimum size of the gene set}

\item{maxsize}{Maximum size of the gene set}

\item{correction}{Correction method for multiple comparisons}

\item{GeneSetList}{\code{list} of gene sets}

\item{SigGeneSet}{Significant gene set}

\item{foutput}{Output file for html report}

\item{id}{Type of identifier ("ENTREZID", "ENSEMBL") used in
\code{GeneSetList} and \code{SigGeneSet}}
}
\description{
Over-representation analysis. Given a significant gene set (or simply an 
important gene set) \code{SigGeneSet} the over-representation (a significant 
overlapping) of this \code{SigGeneSet} with a gene set collection is
tested using the unilateral Fisher test. If \code{SigGeneSet} is not
provided then \code{SigGeneSet} would be those genes with an adjusted
p-value lesser than \code{fdr}.
}
