% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/RandomGeneExpression.R
\name{pairedRandomCounts1}
\alias{pairedRandomCounts1}
\title{Random paired counts: model 1}
\usage{
pairedRandomCounts1(
  n,
  N,
  mu1,
  phi1,
  mu2,
  phi2,
  mu3,
  phi3,
  outlier.prop = 0.05,
  gs = NULL
)
}
\arguments{
\item{n}{Number of pairs}

\item{N}{Number of genes}

\item{mu1}{Mean of the first component}

\item{phi1}{Dispersion of the first component}

\item{mu2}{Mean of the second component}

\item{phi2}{Dispersion of the second component}

\item{mu3}{Mean of the second component}

\item{phi3}{Dispersion of the second component}

\item{outlier.prop}{Proportion of pairs in \code{gs} with 
negative binomial distribution with parameters (mu3,phi3)}

\item{gs}{Significant gene set (a subset of rows in 1:N)
gs == NULL correspond with no differential expression}
}
\description{
A gene expression matrix of counts with \code{N} features and
\code{length(n)} pairs of samples.
The first pair corresponds to the two first column and so on.
The total number of samples is  \code{sum(n)}
The distribution of  the first component is negative binomial with
parameters \code{mu1} and \code{phi1}. The second component follows
the same distribution outside gs. For the genes (rows) in gs the
distribution is negative binomial with parameters \code{(mu2,phi2)}.
A fraction \code{outlier.prop} of the pairs in \code{gs} follows
a negative binomial with parameters \code{(mu3,phi3)}
}
\keyword{Random}
\keyword{counts}
