% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/RandomGeneExpression.R
\name{poiseq}
\alias{poiseq}
\title{Random counts with Poisson distribution}
\usage{
poiseq(n1, n2, N, beta)
}
\arguments{
\item{n1}{Number of samples of the first condition (control)}

\item{n2}{Number of samples of the second condition (treatment)}

\item{N}{Number of features (rows in the expression matrix)}

\item{beta}{Vector of coefficients}
}
\description{
A gene expression matrix of counts with \code{N} features and two 
independent conditions, the first \code{n1} columns corresponds to the first
condition and the last \code{n2} corresponds to the second condition.  
X[i,j] follows a Poisson distribution with mean \code{lambda_j} such
that \code{lambda_j = exp(beta[0])} for \code{j = 1:n1} and
\code{lambda_j = exp(beta[0] + beta[1])} for \code{j = (n1+1):(n1+n2)}
}
\keyword{Generation}
\keyword{counts}
\keyword{expression}
\keyword{matrix,}
\keyword{of}
\keyword{random}
