% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/Marginal_differential_expression.R
\name{rowtest}
\alias{rowtest}
\title{Tests per row (feature) for marginal differential expression}
\usage{
rowtest(
  x,
  y,
  test,
  correction = c("BH", "bonferroni", "holm", "hochberg", "hommel", "BH", "BY", "none")
)
}
\arguments{
\item{x}{Matrix expression}

\item{y}{Two-level factor}

\item{test}{Function with the statistical test (c("rowt","rowtmod",
"edgercommon","edgertagwise"))}

\item{correction}{Correction method for multiple testing}
}
\value{
A data frame with columns named \code{statistic} (statistic of the test),
\code{rawp} (original p-values), \code{adjp} (adjusted p-values) and 
\code{qval} (q-values)
}
\description{
For a given expression matrix \code{x} and a given (two-level)
factor \code{y} the two sample \code{test} is applied. The expression
matrix probably is obtained as \code{x = exprs(gse)} or
\code{x = assay(se)} where \code{gse} is a \code{ExpressionSet} and 
\code{se} is a \code{RangedSummarizedExperiment}
}
